TOX-DELAY(1)

NAME
tox-delay - run some Tox tests after others have completed

SYNOPSIS
tox-delay [-p value | --parallel value] -e envlist [-- tox-options...]
tox-delay [-V | -h | --version | --help | --features]

DESCRIPTION
The tox-delay tool postpones the run of the specified Tox environments after the run of all the others has completed successfully. This may be useful if e.g. there are unit or functional test environments, which it would make no sense to run if the static checkers (pylint, mypy, etc) find any problems.

The tox-delay tool accepts the following command-line options:

-e envlist | --envlist envlist
    Specify the environments for which to delay the run.

-p value | --parallel value
    Pass a parallel execution option to Tox for the first set of environment runs.

-h | --help
    Display program usage information and exit.

-V | --version
    Display program version information and exit.

--features
    List the features supported by the program and exit.

ENVIRONMENT
The operation of the tox-delay utility is not directly influenced by any environment variables.

FILES
The operation of the tox-delay utility is not directly influenced by the contents of any files.

EXAMPLES
Run some static checkers in parallel, leave the unit and functional tests for last:

    tox-delay -p all -e unit-tests,functional

Pass some options to Tox:

    tox-delay -e unit-tests,functional -- --workdir /tmp/tox

Also pass some arguments to the Tox test environments (accessed via {posargs} in the tox.ini file:

    tox-delay -e unit-tests,functional -- --workdir /tmp/tox -- -k chosen

Run the unit and functional tests in parallel, too:

    tox-delay -p all -e unit-tests,functional -- -p all

DIAGNOSTICS

SEE ALSO
tox(1)

STANDARDS
No standards were harmed during the production of the tox-delay utility.

HISTORY
The tox-delay utility was written by Peter Pentchev in 2022.

AUTHORS
Peter Pentchev <roam@ringlet.net>

BUGS
No, thank you :) But if you should actually find any, please report them to the author.